RK-A - Bug #1958

Bug # 2025 (Resolved): 'List comprehensions' should not be a purple link in a document with heading 'List comprehension'
Bug # 1957 (Resolved): Make changes to ensure that KP same as the document header is not tagged in the document

Find the POS scheme for excluding the KPs exactly same as document header

12/19/2021 08:35 AM - Nandini Bansal

Status: Resolved Start date: 12/19/2021
Priority: High Due date:

Assignee: Rohit Choudhary % Done: 0%
Category: Estimated time: 2.00 hours
Target version: P1 Spent time: 0.00 hour
Description

In most cases, we would like to remove the KPs if they are exact matches of the document header but there are some cases where
we would like to discard KPs which are substrings of the document header.

E.g.
If the document with the header "the python interpreter" includes KP "interpreter", we would like to discard it.

If header is "more on lists", we would not like to discard "list" kp. Some other cases where KP will not be discarded are as follows:
(document header -> header variant)

1. using lists as stacks -> lists

2. nested list comprehension -> list comprehension

3. decimal floating point arithmetic -> floating point arithmetic

Try to see if POS tags can help here. You can start testing with Tutorial book and move to other books gradually

History

#1 - 12/19/2021 09:13 AM - Nandini Bansal

- Assignee set to Anonymous

#2 - 12/22/2021 03:32 PM - Anonymous

- Status changed from New to In Progress

#3 - 12/22/2021 04:01 PM - Nandini Bansal

- Description updated

#4 - 01/12/2022 04:36 PM - Ram Kordale
- Priority changed from Normal to High

#5 - 01/12/2022 04:42 PM - Nandini Bansal

- Assignee changed from Anonymous to Rohit Choudhary

#6 - 01/23/2022 07:49 AM - Nandini Bansal

- Status changed from In Progress to Resolved

#7 - 01/24/2022 03:57 PM - Nandini Bansal

- Status changed from Resolved to In Progress

#8 - 01/24/2022 03:58 PM - Nandini Bansal

- Status changed from In Progress to Resolved
